#!/bin/sh

# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $

set -e
set -u

#-------------------------------------------
# Quick script to import type definitioins
#-------------------------------------------
agent_name="MySQL"
conf_dir="/etc/VRTSagents/ha/conf/${agent_name}"
tmp_dir="${conf_dir}/temp"

cf_file=${agent_name}Types.cf

#--------------------------------
# For Solaris : Get HAD Version
#--------------------------------

os_name=`/bin/uname -s`
if [ "${os_name}" = "SunOS" ]; then
        #------------------
        # Define commands..
        #------------------
        grep_cmd="/bin/grep"
        sed_cmd="/bin/sed"

        if [ ! -f "/bin/grep" ]; then
          grep_cmd=grep
        fi
        if [ ! -f "/bin/sed" ]; then
          sed_cmd=sed
        fi

        had_ver=`/opt/VRTSvcs/bin/had -version | $grep_cmd "Join Version" | $sed_cmd 's/Join Version//'`
        had_shortver=`echo $had_ver| \
        $sed_cmd -e 's/[\.]//g
        s/^\([0-9]\{4\}\).*/\1/'`

        cf_file=${agent_name}Types50.cf
        if [ $had_shortver -ge 5100 ]; then
                cf_file=${agent_name}Types51.cf
        fi
fi

cur_dir=${PWD}
cd ${conf_dir}
mkdir -p ${tmp_dir}
cp ${cf_file} ${tmp_dir}/${cf_file}
echo "include \"${cf_file}\"" > ${tmp_dir}/main.cf
cd ${tmp_dir}

PATH=/opt/VRTSvcs/bin:$PATH
export PATH

hacf -verify .
set +e
haconf -makerw
set -e
sh main.cmd
haconf -dump

cd ${cur_dir}
rm ${tmp_dir}/${cf_file}
rm ${tmp_dir}/main.cf
rm ${tmp_dir}/main.cmd
rmdir ${tmp_dir}

echo "${agent_name} Agent Type successfully imported."
